if(!window.hasOwnProperty('moment')) {
	
document.write('<'+'link href="catalog/view/javascript/jquery/datetimepicker/bootstrap-datetimepicker.min.css" type="text/css" rel="stylesheet" media="screen" /'+'>');
document.write('<'+'script src="catalog/view/javascript/jquery/datetimepicker/moment/moment.min.js" type="text/javascript"'+'>'+'<'+'/script'+'>');
document.write('<'+'script src="catalog/view/javascript/jquery/datetimepicker/moment/moment-with-locales.min.js" type="text/javascript"'+'>'+'<'+'/script'+'>');
document.write('<'+'script src="catalog/view/javascript/jquery/datetimepicker/bootstrap-datetimepicker.min.js" type="text/javascript"'+'>'+'<'+'/script'+'>');
	
}

$(document).ready(function() {
	var _ac = window.ACCC;
	var ac = {};
	
	for(var k in _ac) {
		if(k === 'h' || k === 'r') {
			ac[k] = {};
			for(var i = 0; i < _ac[k].length; i++) {
				var _k = _ac[k][i];
				ac[k][_k] = true;
			}
		} else {
			ac[k] = _ac[k];
		}
	}
	
	var _form = $('[ name="company"]').parent().parent().parent().parent();
	if(!_form.attr('id')) _form.attr('id', 'aff_form');
	
	$.each(['company', 'website', 'tax'], function(___, k) {
		if($('#input-'+k).length > 0) $('#input-'+k).after('<div class="err" id="error_'+k+'"></div>');
	});	
	
	for(var k in ac.h) {		
		if(k === 'agree') {
			if($('[name="agree"]').length > 0) {
				var _p = $('[name="agree"]').parent();
				var _btn = _p.find('[type="submit"]');
				if(_btn.length > 0) {
					_p.html(_btn);
				} else {
					$('[name="agree"]').remove();
				}
			}
		} else if (k === 'payment') {
			if(ac.h.hasOwnProperty('tax')) {
				$('[name="payment"]').parent().parent().parent().parent().parent().remove();
			} else {
				if($('[name="payment"]').length > 0) $('[name="payment"]').parent().parent().parent().parent().remove();
				$('#payment-cheque').remove();
				$('#payment-paypal').remove();
				$('#payment-bank').remove();
			}
		} else if(['cheque', 'paypal', 'bank'].indexOf(k) != -1) {
			$('#payment-'+k).remove();
			$('[name="payment"]').each(function() {
				if($(this).val() === k) $(this).parent().parent().remove();
			});
		} else 	if($('[name="'+k+'"]').length > 0) {
			$('[name="'+k+'"]').parent().parent().remove();
		}
	}		
	
	if($('[name="payment"]').length > 0) {
		$('[name="payment"]:first').parent().parent().parent().append('<div class="err" id="error_payment"></div>');
		if($('[name="payment"]:checked').length < 1) {
			$('[name="payment"]:first').trigger('click');
			$('[name="payment"]:first').attr('checked', true);
		}
	}
	
	$('.text-danger').each(function() {
		if(!$(this).hasClass('err')) $(this).addClass('err');
	});
	
	$('.err').each(function() {
		var ename = '';
		if(!$(this).attr('id')) {
			if($(this).parent().find('input').length > 0) {
				ename = $(this).parent().find('input').attr('name');
				if(ename.length > 0) $(this).prop('id', 'error_'+ename);
			} else {
				if(/^error_/.test($(this).attr('id'))) ename = $(this).attr('id').replace(/^error_/, '');
			}
		}
		
		if(ename.length > 0 && ac.err.hasOwnProperty(ename)) $('#error_'+ename).html(ac.err[ename]);
		if($(this).html().replace(/[\n\r\s]+/g, '').length < 1) {
			$(this).hide();
		} else {
			if(!$(this).hasClass('text-danger')) $(this).addClass('text-danger');
		}		
	});	
	
	if(ac.website_textarea && $('#input-website').length > 0) {
		var _pl = $('#input-website').prop('placeholder');
		var _v = $('#input-website').val();
		$('#input-website').before('<textarea name="website"'+(_pl.length > 0 ? (' placeholder="'+_pl+'"') : '')+' class="form-control">'+_v+'</textarea>');
		$('#input-website').remove();
		$('[name="website"]').attr('id', 'input-website');
	}

	for(var k in ac.r) {		
		if($('[name="'+k+'"]').length > 0) {
			if(k === 'payment') {
				$('[name="'+k+'"]').parent().parent().parent().parent().addClass('required');
			} else {
				$('[name="'+k+'"]').parent().parent().addClass('required');
			}
		}
	}
	
	var show_error = function(k, msg) {
		$('#error_'+k).html(msg);
		if(!$('#error_'+k).hasClass('text-danger')) $('#error_'+k).addClass('text-danger');
		if($('#error_'+k).parent().parent().hasClass('form-group') && !$('#error_'+k).parent().parent().hasClass('has-error')) $('#error_'+k).parent().parent().addClass('has-error');
		$('#error_'+k).show();		
		return true;
	}
	
	$('#aff_form').on('submit', function() {
		$('.err').hide();	
		$('.form-group').each(function() {
			if($(this).hasClass('has-error')) $(this).removeClass('has-error');
		});
		var _error = false;		

		if($('[name="agree"]').length > 0 && !$('[name="agree"]').is(':checked') && ac.ermsgs.agree) {
			$('[name="agree"]').after('<div class="err" id="error_agree"></div>');
			_error = show_error('agree', ac.ermsgs.agree);
		}
	
		$.each(['company', 'website', 'tax'], function(___, k) {
			if(ac.r[k] && $('[name="'+k+'"]').val().replace(/[\n\r\s]+/g, '').length < 1) _error = show_error(k, ac.ermsgs[k]);
		});
	
		if(ac.r.payment) {
			var _payment = $('[name="payment"]:checked').val();
			if(_payment.replace(/[\n\r\s]+/g, '').length < 1) {		
				_error = show_error('payment', ac.ermsgs.payment);
			} else {
				$('[name^="'+_payment+'"]').each(function() {	
					if($(this).is(':hidden')) return;
					if($(this).val().replace(/[\n\r\s]+/g, '').length < 1) {
						var n = $(this).prop('name');
						_error = show_error(n, ac.ermsgs[n]);
					}		
				});
			}	
		}
		return !_error;				
	});
});
